/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontent.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.projectcontentinfo.entity.ProjectContentData;
import org.springframework.format.annotation.NumberFormat;

/**
 * 招标策划Entity
 * @author ssrh
 * @version 2018-06-05
 */
public class WorkContentBiddingplan extends DataEntity<WorkContentBiddingplan> {
	
	private static final long serialVersionUID = 1L;
	private String projectId;		// 项目id
	private String contentId;		// 工作内容ID
	private ProjectContentData contProgram;		// 合约规划名称
	private String biddingType;		// 招标方式
	private Date biddingDate;		// 招标时间
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double ctrlPrice;		// 招标控制价
	
	public WorkContentBiddingplan() {
		super();
	}

	public WorkContentBiddingplan(String id){
		super(id);
	}

	@ExcelField(title="项目id", align=2, sort=7)
	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
	
	@ExcelField(title="工作内容ID", align=2, sort=8)
	public String getContentId() {
		return contentId;
	}

	public void setContentId(String contentId) {
		this.contentId = contentId;
	}

    public ProjectContentData getContProgram() {
        return contProgram;
    }

    public void setContProgram(ProjectContentData contProgram) {
        this.contProgram = contProgram;
    }

    @ExcelField(title="招标方式", align=2, sort=10)
	public String getBiddingType() {
		return biddingType;
	}

	public void setBiddingType(String biddingType) {
		this.biddingType = biddingType;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="招标时间", align=2, sort=11)
	public Date getBiddingDate() {
		return biddingDate;
	}

	public void setBiddingDate(Date biddingDate) {
		this.biddingDate = biddingDate;
	}
	
	@ExcelField(title="招标控制价", align=2, sort=12)
	public Double getCtrlPrice() {
		return ctrlPrice;
	}

	public void setCtrlPrice(Double ctrlPrice) {
		this.ctrlPrice = ctrlPrice;
	}
	
}